
import UIKit
import Contacts

class DetailsViewController: UIViewController {
    @IBOutlet weak var nameLabel: UILabel!
    @IBOutlet weak var addressLabel: UILabel!
    var contactID: String!
    var contact: CNContact!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        if contactID != nil {
            let store = CNContactStore()
            do {
                let keys = CNContactFormatter.descriptorForRequiredKeys(for: .fullName)
                contact = try store.unifiedContact(withIdentifier: contactID, keysToFetch: [keys, CNContactPostalAddressesKey as CNKeyDescriptor, CNContactNoteKey as CNKeyDescriptor])
                let name = CNContactFormatter.string(from: contact, style: .fullName)
                self.nameLabel.text = name
                
                var address: CNPostalAddress!
                for item in contact.postalAddresses {
                    if item.label == CNLabelHome {
                        address = item.value
                    }
                }
                if address != nil {
                    let street = CNPostalAddressFormatter.string(from: address, style: .mailingAddress)
                    self.addressLabel.text = street
                } else {
                    self.addressLabel.text = "Unknown"
                }
            } catch {
                print("Error")
            }
        }
    }
    @IBAction func deleteContact(_ sender: UIButton) {
        if contact != nil {
            let deleteContact = contact.mutableCopy() as! CNMutableContact
            let request = CNSaveRequest()
            request.delete(deleteContact)
            do {
                let store = CNContactStore()
                try store.execute(request)
            } catch {
                print("Error")
            }
        }
        navigationController?.popViewController(animated: true)
    }
}
